/*
 * コラム用css
 */

:root {
    --main-color: #b29e73;
}

/*********************
共通
*********************/

body {
    font-family: "Noto Sans JP", sans-serif;
}

/* レイアウト */
#content {
    padding: 80px 0;
}

#inner-content {
    max-width: 1400px;
    width: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: 1fr 300px;
    grid-template-rows: auto 1fr;
    gap: 20px 60px;
}

#inner-content .column_data {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
    width: 100%;
}

#inner-content #main {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
    width: 100%;
}
#inner-content #column_sidebar {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
    align-self: start;
    width: 100%;
}

@media (max-width: 1029px) {
    #inner-content {
        display: flex;
        flex-wrap: wrap;
        gap: 60px;
    }

    #inner-content #column_sidebar {
        display: flex;
         flex-wrap: wrap;
         justify-content: space-between;
   }

    #inner-content #column_sidebar > .item:nth-child(2) {
        width: calc(50% - 10px);
    }
    #inner-content #column_sidebar > .item:nth-child(3) {
        width: calc(50% - 10px);
    }
}

@media (max-width: 767px) {
    #content {
        padding: 40px 0;
    }

    #inner-content {
        gap: 40px;
    }

    #inner-content #column_sidebar > .item:nth-child(2),
    #inner-content #column_sidebar > .item:nth-child(3) {
        width: 100%;
    }

}



/* パンくず＆日付 */
.column_data ul.breadcrumb {
    display: flex;
    flex-wrap: wrap;
    font-size: 12px;
}
.column_data ul.breadcrumb > li:not(:last-child):after {
    content: "";
    display: inline-block;
    width: 0.5em;
    height: 0.5em;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    transform: rotate(45deg);
    margin: 0 0.5em;
}
.column_data .date {
    color: #9e9d9d;
}

.column_data .category {
    color: #9e9d9d;
    font-size: 16px;
    font-weight: normal;
    display: block;
}
.column_data .category_name {
    color: #000;
    text-align: left;
    margin-top: 0;
    margin-bottom: 0;
}

.column_data .archive_title {
    color: #000;
    text-align: left;
    margin-top: 0;
    margin-bottom: 0;
}
.column_data .archive_title > span {
    color: #9e9d9d;
    font-size: 16px;
    font-weight: normal;
    display: block;
}



/* ヘッダの画像 */
.main_image > img {
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
}

/* サイドバー */
#column_sidebar {
    display: grid;
    grid-template-columns: 100%;
    gap: 30px 0;
    margin-top: 0;
}
#column_sidebar > .item {
    background: #eeeeee;
    padding: 30px 20px;
}

#column_sidebar > .item > .title {
    font-size: 20px;
    text-align: center;
    font-weight: bold;
    margin-bottom: 20px;
}


#column_sidebar .item .column_category {

}
#column_sidebar .item .column_category > li {
    border-bottom: 1px solid #bfbfbf;
}
#column_sidebar .item .column_category > li:first-child {
    border-top: 1px solid #bfbfbf;
}
#column_sidebar .item .column_category > li > a {
    display: flex;
    padding: 15px;
    text-decoration: none;
    align-items: center;
    gap: 0 10px;
}
#column_sidebar .item .column_category > li > a img {
    margin: 0;
    width: 50px;
    height: 30px;
    object-fit: contain;
}

@media (max-width: 1029px) {
    #column_sidebar .item .column_category {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    #column_sidebar .item .column_category > li {
        width: calc(50% - 10px);
    }
    #column_sidebar .item .column_category > li:nth-child(2) {
        border-top: 1px solid #bfbfbf;
    }
}

@media (max-width: 767px) {

    #column_sidebar .item .column_category > li {
        width: 100%;
    }
    #column_sidebar .item .column_category > li:nth-child(2) {
        border-top: none;
    }
}


.ranking_tab_contents {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto 1fr;
    gap: 30px 5px;
}

.ranking_tab_contents button {
    background: #fff;
    color: #000;
    border: none;
    border-radius: 0;
    padding: 5px 0;
    width: 100%;
    font-size: 14px;
    font-weight: bold;
    position: relative;
}
.ranking_tab_contents button.active {
    background: var(--main-color);
    color: #fff;
}
.ranking_tab_contents button.active:before {
    content: "";
    display: block;
    width: 15px;
    height: 10px;
    background: var(--main-color);
    position: absolute;
    top: calc(100% - 1px);
    left: 50%;
    transform: translateX(-50%);
    clip-path: polygon(100% 0, 0 0, 50% 100%);
}

.ranking_tab_contents .column_side_list {
    grid-column: 1 / 4;
    grid-row: 2 / 3;
}




.column_side_list {

}
.column_side_list > a {
    display: grid;
    grid-template-columns: 100px 1fr;
    padding: 10px 0;
    text-decoration: none;
    gap: 10px;
    align-items: center;
    position: relative;
}

.column_side_list > a .number {
    position:absolute;
    background: #3d3b3c;
    color: #fff;
    font-size: 20px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0px;
    left: -5px;
    font-weight: bold;
    line-height: 1;
}

.column_side_list > a .image > img {
    aspect-ratio: 1;
    object-fit: cover;
    width: 100%;
    height: auto;
}
.column_side_list > a .image.noimage > img {
    object-fit: contain;
    background: #fff;
}

.column_side_list > a .text {
    display: grid;
    grid-template-columns: 100%;
    gap: 5px;
    align-items: center;
}
.column_side_list > a .text .cat > span {
    border-left: 5px solid var(--main-color);
    padding-left: 5px;
    font-size: 12px;
}
.column_side_list > a .text .title {
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    display: -webkit-box;
    font-size: 14px;
    font-weight: bold;
}
.column_side_list > a .text .date {
    font-size: 12px;
    color: #3d3b3c;
}


/*********************
 bonesのページネーション
 *********************/

.pagination ul {
	background: transparent;
}

.pagination li {
	margin: 0 5px;
	border: none;
}

.pagination li > a.page-numbers {
	border: 1px solid #ccc;
	color: #000;
	background: #fff;

}

.pagination li > a {
	transition: 0.2s linear;
	-moz-transition: 0.2s linear;
	-webkit-transition: 0.2s linear;
	-o-transition: 0.2s linear;
	-ms-transition: 0.2s linear;
}

.pagination li > .page-numbers.current {
	background: var(--main-color);
	border: 1px solid var(--main-color);
	color: #fff;
}

.pagination li > .page-numbers.next,
.pagination li > .page-numbers.prev {
	border: none;
	background: transparent;
}

.pagination .current:hover,
.pagination .current:focus {
	background: var(--main-color);
	border: 1px solid var(--main-color);
	color: #fff;
}

.pagination li > a:hover,
.pagination li > a:focus {
	background: var(--main-color);
	border: 1px solid var(--main-color);
	color: #fff;
}

.pagination li > .page-numbers.next:hover,
.pagination li > .page-numbers.prev:hover,
.pagination li > .page-numbers.next:focus,
.pagination li > .page-numbers.prev:focus {
	background: var(--main-color);
	color: #fff;
}


/*********************
ヘッダー
*********************/
.header.column_header #inner-header {
    display: flex;
}

.header .logo a {
    gap: 10px 20px;
}



.header .logo img {
    height: 30px;
    display: block;
}
.header .logo img.name {
    height: 20px;
}

.header form {
    display: flex;
    align-items: center;
    border: 2px solid var(--main-color);
    padding: 5px;
    border-radius: 5px;
}
.header form input[type="text"] {
    margin: 0;
    background: #fff;
    height: 1.5em;
    line-height: 1.5;
}
.header form button {
    white-space: nowrap;
    background: var(--main-color);
    color: #fff;
    border: none;
    font-size: 14px;
    display: flex;
    align-items: center;
    border-radius: 100vmax;
    line-height: 2;
    padding: 0 10px;
}
.header form button > img {
    height: 0.8em;
    width: auto;
    object-fit: contain;
    margin-right: 0.2em;
}

@media (max-width: 1029px) {

    .header .logo a {
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
    }
}



@media (max-width: 767px) {

    .header {
        position: absolute;
        height: auto;
        padding: 10px;
    }

    .header #inner-header {
        height: auto;
        flex-direction: column;
    }

    .header .logo {
        margin-bottom: 15px;
        height: auto;
    }
    .header .logo img {
        width: 250px;
        height: auto;
        display: block;
    }
}


/*********************
フッター
*********************/
.footer {
    background: var(--main-color);
}

.footer #footer_info {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 0 20px;
    align-items: center;
}
.footer #inner-footer #footer_info .logo {
    margin-bottom: 20px;
}
.footer #inner-footer #footer_info .logo img {
    width: 250px;
}


.footer-links ul {
    display: flex;
    gap: 0 1em;
}

.footer .copyright {
    border: none;
}

@media (max-width: 1029px) {
    .footer #footer_info {
        flex-direction: column;
    }

}


#page_top a {
    border-color: var(--main-color);
}
#page_top a::after {
    border-top-color: var(--main-color);
    border-right-color: var(--main-color);
}

/*********************
目次
*********************/

#toc_container {
    margin-bottom: 50px;
}
#toc_container .toc_title {
    font-weight: bold;
    font-size: 1.5em;
    margin-top: 0;
}
#toc_container .toc_list {
    border-left: 10px solid #ebebeb;
    padding-left: 0.5em;
    font-size: 18px;
}
#toc_container .toc_list > li {
    align-items: baseline;
    display: flex;
    margin-bottom: 5px;
}
#toc_container .toc_list > li:before {
    content: "";
    display: inline-block;
    width: 0.5em;
    height: 0.5em;
    min-width: 0.5em;
    min-height: 0.5em;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    transform: rotate(135deg);
    margin: 0 0.5em;
    position: relative;
    top: -0.2em;
}

#toc_container .toc_list > li a {
    text-decoration: underline;
    color: #000;
}
#toc_container .toc_list > li a:hover {
    opacity: 0.7;
}

@media (max-width: 767px) {

    #toc_container .toc_list {
        font-size: 16px;
    }

}


/*********************
本文
*********************/
article {
    line-height: 1.7;
}
article h1 {
    color: #000;
    text-align: left;
    margin-top: 0;
    margin-bottom: 1.5em;
}
article .description {
    padding-bottom: 50px;
}

article .single_content {
    border-top: 1px solid #9e9d9d;
    padding-top: 50px;
}

article h2 {
    border-left: 10px solid var(--main-color);
    padding-left: 0.5em;
    margin: 1.5em 0 1em;
}

article .description h3,
article .single_content h3 {
    color: var(--main-color);
    background: transparent;
    font-size: 1.4em;
    padding: 0;
    font-weight: bold;
}
article .description h4,
article .single_content h4 {
    font-weight: bold;
    color: #000;
}

article .aligncenter{
	display: block;
	margin-left: auto;
	margin-right: auto;
}
article .alignright{
	float: right;
	margin-left: 1.5em;
}
article .alignleft{
	float: left;
	margin-right: 1.5em;
}

@media (max-width: 767px) {

    article h1 {
        font-size: 20px;
    }
    article h2 {
        font-size: 20px;
    }
    article h3 {
        font-size: 18px;
    }
    article h4 {
        font-size: 16px;
    }
}

article ul:not([class]) {
    margin: 1em 0;
    padding: 0;
}

article .single_content > ul:not([class]) {
    margin: 2em 0;
    background: #f8f8f8;
    padding: 2em 2.5em;
}

article ul:not([class]) > li {
    position: relative;
    line-height: 1.8;
    padding-left: calc(15px + 1em);
}
article ul:not([class]) > li:not(:last-child) {
    margin-bottom: 1em;
}
article ul:not([class]) > li:before {
    content: "";
    position: absolute;
    top: calc(1.8em / 2);
    left: 0;
    transform: translateY(-50%);
    width: 15px;
    height: 15px;
    background-color: var(--main-color);
    border-radius: 50%;
    border: 4px double #fff;
}

@media (max-width: 767px) {
    article .single_content > ul:not([class]) { 
        padding: 1em 1.5em;
    }
}


article ol:not([class]) {
    background: #f8f8f8;
    padding: 2em 2.5em;
    margin-top: 2em;
    margin-bottom: 2em;
    counter-reset: custom-ol;
    list-style: none;
}
article ol:not([class]) > li {
    position: relative;
    line-height: 1.8;
    padding-left: calc(1.5em + 1.5em);
    counter-increment: custom-ol;
}
article ol:not([class]) > li:not(:last-child) {
    margin-bottom: 1em;
}
article ol:not([class]) > li:before {
    content: counter(custom-ol);
    position: absolute;
    top: 0.7em;
    left: 0;
    transform: translateY(-50%);
    width: 1.5em;
    height: 1.5em;
    background-color: var(--main-color);
    color: #fff;
    font-weight: bold;
    font-size: 1.2em;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 4px double #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.08);
}

@media (max-width: 767px) {
    article ol:not([class]) {
        padding: 1em 1.5em;
    }
}


.single_content .scroll_table {
    width:100% !important;
    max-width: 100%;
    overflow-x: auto;
    margin-bottom: 1em;
}
.single_content .scroll_table table {
    width: 100%;
    margin: 0;
}

.single_content table {
    width: 100%;
}
.single_content table th,
.single_content table td {
    padding: 15px;
}
.single_content table th p,
.single_content table td p {
    margin: 0;
}

@media (max-width: 767px) {

    .single_content table {
        font-size: 14px;
        white-space: nowrap;
    }
}


/*********************
ライター
*********************/

.author {
    background: #eeeeee;
    padding: 40px;
    margin-top: 50px
}
.author h2 {
    color: #b29e73;
    font-size: 24px;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    margin: 0 0 20px;
    text-align: center;
    border: none;
    padding: 0;
}

.author .writer {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 0 40px;
    color: #6e6c6d;
}

.author .writer .image {
    width: auto;
    max-width: 300px;
}
.author .writer .image > img {
    border-radius: 50%;
    aspect-ratio: 1;
    object-fit: cover;
    background: #ccc;
    display: block;
    width: 150px;
    height: auto;
    margin: 0 auto 10px;
}

.author .writer .name {
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    gap: 5px 10px;
    align-items: baseline;
    justify-content: center;
}
.author .writer .shop {
    font-size: 12px;
    text-align: center;
}

.author .writer .info {
    margin-top: 60px;
    line-height: 1.8;
}

@media (max-width: 767px) {

    .author .writer {
        display: block;
    }
    .author .writer .image {
        margin: auto;
    }
    .author .writer .info {
        margin-top: 20px;
    }
}


/*********************
リスト
*********************/
.column_item_list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 100%;
    gap: 60px 40px;
}
.column_item_list .item {
    padding: 0;
    text-decoration: none;
    display: grid;
    grid-template-rows: subgrid;
    grid-row: 3 span;
    gap: 10px 0;
}
.column_item_list .item > .image.noimage {
    border: 1px solid #ccc;
}
.column_item_list .item > .image {
    overflow: hidden;
}
.column_item_list .item > .image > img {
    aspect-ratio: 3 / 2;
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
    transition: all 0.3s;
}

.column_item_list .item:hover > .image > img {
    transform: scale(1.1);
}


.column_item_list .item .text .cat > span {
    border-left: 5px solid var(--main-color);
    padding-left: 5px;
    font-size: 14px;
    line-height: 2;
}
.column_item_list .item .text .title {
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    display: -webkit-box;
    font-size: 18px;
    font-weight: bold;
}

.column_item_list .item .writer {
    display: flex;
    gap: 10px;
    align-items: center;
}
.column_item_list .item .writer .image > img {
    border-radius: 50%;
    aspect-ratio: 1;
    object-fit: cover;
    background: #ccc;
    display: block;
    width: 50px;
    min-width: 50px;
    height: auto;
    margin: 0 auto 10px;
}
.column_item_list .item .writer .info {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 5px 10px;
}
.column_item_list .item .writer .info .position {
    font-size: 14px;
}
.column_item_list .item .writer .info .name {
    font-size: 14px;
}
.column_item_list .item .writer .info .shop {
    font-size: 12px;
}

@media (max-width: 1199px) {
    .column_item_list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 767px) {

    .column_item_list {
        grid-template-columns: 100%;
    }

    .column_item_list .item .text .title {
        overflow: visible;
        -webkit-line-clamp: none;
    }

}



#other_post {
    margin-top: 50px;
    padding-top: 50px;
    border-top: 1px solid #9e9d9d;
}
#other_post h2 {
    text-align: center;
    margin-bottom: 50px;
}